<template>
    <div class="modal fade" id="itemDetail">
        <div class="modal-dialog modal-dialog-centered">
            <div v-if="currentItem" class="modal-content">

                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">Edit Item</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="modal-body">
                    <div class="form-group">
                        <label class="">Title</label>
                        <input v-model="currentItem.title" type="text" name="subject" class="form-control">
                    </div>
                    <div class="form-group">
                        <label class="">Description</label>
                        <textarea v-model="currentItem.description" type="text" rows="4" class="form-control"></textarea>
                    </div>
                    <div class="form-group form-check">
                        <label class="form-check-label">
                            <input v-model="currentItem.completed" class="form-check-input" type="checkbox" name="remember" required> Completed.
                        </label>
                    </div>
                </div>

                <!-- Modal footer -->
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button @click="$emit('update-item', currentItem)" type="button" class="btn btn-primary">Save changes</button>
                </div>

            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'EditItem',
        props: ['currentItem']
    }
</script>